Bug 688579 (CVE-2011-1166) - CVE-2011-1166 kernel: xen: x86_64: fix error checking in arch_set_info_guest()
Summary: CVE-2011-1166 kernel: xen: x86_64: fix error checking in arch_set_info_guest()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1166
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 688581 688582
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-17 12:13 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:11:27 UTC


Attachments (Terms of Use)
Local compressed copy of NetBSD kernel linked in comment 5. (1.54 MB, application/x-xz)
2011-04-18 08:55 UTC, Laszlo Ersek
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0833 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description Eugene Teo (Security Response) 2011-03-17 12:13:11 UTC
Cannot specify user mode execution without specifying user-mode pagetables.

The problem is that a 64-bit guest can get one of its vcpus into non-kernel mode without first providing a valid non-kernel pagetable. The iret-into-userspace path has the right checks, but just setting the context on a fresh vcpu doesn't. :(  The observed failure mode is usually a hard lockup of the host. This affects 64-bit version of kernel-xen.

Upstream commit:
http://xenbits.xen.org/hg/staging/xen-unstable.hg/rev/c79aae866ad8

Reference:
https://bugzilla.novell.com/show_bug.cgi?id=679344

Comment 15 errata-xmlrpc 2011-05-31 14:07:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html


Note You need to log in before you can comment on or make changes to this bug.